> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/partner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/partner/messaging/commerce-and-payments/products-and-catalogs/india-businesses-compliance-for-commerce.md).

# India Businesses: Compliance for Commerce

To sell products in India through WhatsApp, you must provide your business details via WhatsApp Business API. The business address can be added through the Profile Section in the 360dialog Hub or through WhatsApp Manager. If the company data is not provided, it will not be possible to send [single or multi-product messages](/partner/messaging/sending-and-receiving-messages/text-messages/interactive-messages.md). &#x20;

To send business information using WhatsApp Business API, you’re required to provide the following business information:&#x20;

1. **Legal Name of Business:** The full legal name of the business.
2. **Business Type:** The options include:
   1. Limited liability partnership
   2. Sole proprietorship
   3. Partnership
   4. Public Company
   5. Private Company
   6. Other\
      **Note:** If you select **Partnership** or **Other** as your business type, you will be asked if your Business is registered under applicable laws (Yes or No). Meta assumes that your Business is registered under applicable law for all other options.
3. **Business Address:** The full address of the business.
4. **Applicable License/Registration:** Enter the license or registration information for your business.
5. **Customer Care Information:** Enter the contact information of the individual who will respond to and resolve the inquiries from your customers, such as returns or refunds.
6. **Grievance Officer Information**: Enter the contact information of the individual who will respond to and resolve any complaints from your customers.
7. Use the free text box to enter any other information that you are required to provide under applicable law(s).

See below how to provide a business' compliance information:

## Providing Business Information <a href="#providing-information" id="providing-information"></a>

Please use this [endpoint](https://docs.360dialog.com/docs/messaging-api/api-reference/business-compliance#post-business_compliance_info) and the parameters listed below:

#### Parameters <a href="#parameters" id="parameters"></a>

<table><thead><tr><th width="309.5">Name</th><th>Description</th></tr></thead><tbody><tr><td><code>entity_name</code></td><td><p><strong>Required.</strong></p><p>A business' legal name.</p></td></tr><tr><td><code>entity_type</code></td><td><p><strong>Required.</strong></p><p>Available options are:</p><ul><li><code>LIMITED_LIABILITY_PARTNERSHIP</code></li><li><code>SOLE_PROPRIETORSHIP</code></li><li><code>PARTNERSHIP</code></li><li><code>PUBLIC_COMPANY</code></li><li><code>PRIVATE_COMPANY</code></li><li><code>OTHER</code></li></ul></td></tr><tr><td><code>entity_type_custom</code></td><td><p><strong>Required in some cases.</strong></p><p>Use when <code>entity_type</code> is set to <code>"Other"</code>.</p></td></tr><tr><td><p><code>is_registered</code></p><p>type: Boolean</p></td><td><p><strong>Required in some cases.</strong></p><p>Use when <code>entity_type</code> is set to <code>"Other"</code> or <code>"Partnership"</code>.</p></td></tr><tr><td><code>customer_care_details</code></td><td><p><strong>Required.</strong></p><p><a href="#customer_care_details-object">A <code>customer_care_details</code> object.</a></p></td></tr><tr><td><code>grievance_officer_details</code></td><td><p><strong>At least one contact field must be specified.</strong></p><p><a href="#grievance_officer_details-object">A <code>grievance_officer_details</code> object.</a></p></td></tr></tbody></table>

#### **`customer_care_details`**&#x20;

| Name              | Description                                                                                                                                                                                                                                                                                    |
| ----------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `email`           | <p><strong>Required.</strong></p><p>An email customers can use to reach the business.</p>                                                                                                                                                                                                      |
| `landline_number` | <p><strong>Either <code>landline\_number</code> or <code>mobile\_number</code> must be provided.</strong></p><p>A landline phone number customers can use to reach the business.</p><p><br></p><p><em>Phone numbers must be provided with a <code>+</code> sign and the country code.</em></p> |
| `mobile_number`   | <p><strong>Either <code>landline\_number</code> or <code>mobile\_number</code> must be provided.</strong></p><p>A mobile phone number customers can use to reach the business.</p><p><br></p><p><em>Phone numbers must be provided with a <code>+</code> sign and the country code.</em></p>   |

#### **`grievance_officer_details`**&#x20;

| Name              | Description                                                                                                                                                                                                                                                                         |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `name`            | <p><strong>Required.</strong></p><p>The name of the business' grievance officer.</p>                                                                                                                                                                                                |
| `email`           | <p><strong>Either one of these contact methods (email, landline and mobile) is mandatory.</strong></p><p>The email of the business' grievance officer.</p>                                                                                                                          |
| `landline_number` | <p><strong>Either one of these contact methods (email, landline and mobile) is mandatory.</strong></p><p>A landline phone number for the business' grievance officer.</p><p><br></p><p><em>Phone numbers must be provided with a <code>+</code> sign and the country code.</em></p> |
| `mobile_number`   | <p><strong>Either one of these contact methods (email, landline and mobile) is mandatory.</strong></p><p>A mobile phone number for the business' grievance officer.</p><p><br></p><p><em>Phone numbers must be provided with a <code>+</code> sign and the country code.</em></p>   |

Example payload:

{% code overflow="wrap" %}

```json
{
  "messaging_product": "whatsapp",
  "entity_name": "<ENTITY_NAME>",
  "entity_type": "<ENTITY_TYPE>",
  "is_registered": "<IS_REGISTERED>",
  "grievance_officer_details": {
    "name": "<GRIEVANCE_OFFER_NAME>",
    "email": "<GRIEVANCE_OFFER_EMAIL>",
    "landline_number": "<GRIEVANCE_OFFER_LANDLINE_NUMBER>",
    "mobile_number": "<GRIEVANCE_OFFER_MOBILE_NUMBER>"
  },
  "customer_care_details": {
    "email": "<CUSTOMER_CARE_EMAIL>",
    "landline_number": "<CUSTOMER_CARE_LANDLINE_NUMBER>",
    "mobile_number": "<CUSTOMER_CARE_MOBILE_NUMBER>"
  }
}
```

{% endcode %}

## Retrieving Business Compliance Info

Please use this [endpoint](https://docs.360dialog.com/docs/messaging-api/api-reference/business-compliance#get-business_compliance_info).

More information is available in the Meta doc linked below:

{% embed url="<https://www.facebook.com/help/1104628230079278>" %}
Meta doc: Comply with laws for selling online on WhatsApp Business Platform in India
{% endembed %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.360dialog.com/partner/messaging/commerce-and-payments/products-and-catalogs/india-businesses-compliance-for-commerce.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
